
#presentation {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 600px;
    height: calc(100vh - 64px);
}
#presentation > .image-container {
    position: relative;
    width: 100%;
    height: 100%;
}
#presentation > .image-container > img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: right;
}
#presentation > .description-container {
    background-color: #f25b3c;
    display: grid;
    grid-template-rows: auto 250px auto;
    align-content: center;
    padding: 0 64px;
    box-sizing: border-box;
}
#presentation > .description-container > h2 {
    color: white;
    font-weight: 400;
}
#presentation > .description-container > .phrases-container {
    padding: 32px 0;
}
#presentation > .description-container > .phrases-container > h1 {
    color: #f9c21a;
    font-size: 64px;
    display: none;
}
#presentation > .description-container > .phrases-container > h1.visible {
    display: block;
}

#aboutus {
    padding: 96px 32px;
    padding-bottom: 0;
    box-sizing: border-box;
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
}
#aboutus > h1 {
    margin: 0 auto;
    text-align: center;
    font-size: 96px;
    color: #f25b3c;
    max-width: 1000px;
    line-height: 0.8em;
}
#aboutus > p {
    text-align: center;
    font-size: 18px;
}
#aboutus > .action-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

#imagestexts > .imagetext-container {
    padding: 100px 100px;
}
#imagestexts > .imagetext-container:nth-child(even) {
    background-color: #f9c21a;
}
#imagestexts > .imagetext-container > .content-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 128px;
    max-width: 1500px;
    margin: 0 auto;
}
#imagestexts > .imagetext-container:nth-child(even) > .content-container {
    grid-template-columns: 1fr auto;
}
#imagestexts > .imagetext-container > .content-container > img {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    object-fit: contain;
}
#imagestexts > .imagetext-container > .content-container > .info-container > h1 {
    font-size: 120px;
    line-height: 1em;
    margin: 32px 0;
}
#imagestexts > .imagetext-container > .content-container > .info-container > p {
    font-size: 20px;
    line-height: 2em;
}

#actions {
    background-color: #f25b3c;
    padding-bottom: 100px;
}
#actions > h2 {
    color: white;
    text-align: center;
    padding: 96px 0;
    font-size: 32px;
}
#actions > .descriptions-containers {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 64px;
    align-items: center;
    padding: 0 100px;
    max-width: 1500px;
    margin: 0 auto;
}
#actions > .descriptions-containers > .description-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    text-align: center;
    border: 4px solid transparent;
    padding: 64px 0;
    border-radius: 16px;
    transition: border-color 0.2s ease-in-out;
}
#actions > .descriptions-containers > .description-container:hover {
    border-color: #f9c21a;
}
#actions > .descriptions-containers > .description-container > img {
    height: 100px;
}
#actions > .descriptions-containers > .description-container > h1 {
    padding: 32px 0;
    font-size: 64px;
    color: white;
}
#actions > .descriptions-containers > .description-container > p {
    color: white;
}
#actions > .descriptions-containers > .description-container > a.button { 
    margin: 32px 0;
}

@media (max-width: 1500px) {
    #presentation {
        grid-template-columns: 1fr 400px;
    }
    #presentation > .description-container {
        padding: 0 64px;
    }
    #presentation > .description-container > .phrases-container > h1 {
        font-size: 32px;
    }

    #aboutus > h1 {
        font-size: 64px;
    }

    #imagestexts > .imagetext-container > .content-container > .info-container > h1 {
        font-size: 64px;
    }
}

@media (max-width: 1200px) {
    #actions > .descriptions-containers {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 1000px) {
    #imagestexts > .imagetext-container > .content-container {
        grid-template-columns: 1fr;
        gap: 32px;
    }
    #imagestexts > .imagetext-container:nth-child(even) > .content-container {
        grid-template-columns: 1fr;
    }
    #imagestexts > .imagetext-container > .content-container > img {
        grid-row: 1 / 2;
        width: 100%;
        height: auto;
        max-width: 500px;
        margin: 0 auto;
    }
}

@media (max-width: 800px) {
    #presentation {
        grid-template-columns: 1fr 300px;
        height: 100vh;
    }
    #presentation > .description-container > h2 {
        font-size: 18px;
    }    
    #presentation > .description-container > .phrases-container > h1 {
        font-size: 24px;
    }
}

@media (max-width: 600px) {
    #presentation {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr;
        height: calc(100vh - 64px);
    }
    #presentation > .description-container {
        background-color: #f25b3c;
        grid-template-rows: auto 150px auto;
        align-content: center;
        padding: 16px 32px;
        box-sizing: border-box;
    }

    #aboutus > h1 {
        font-size: 32px;
    }

    #imagestexts > .imagetext-container  {
        padding: 100px 32px;
    }
    #imagestexts > .imagetext-container > .content-container > .info-container > h1 {
        font-size: 32px;
    }

    #actions > .descriptions-containers {
        padding: 0 32px; 
    }
    #actions > h2 {
        font-size: 24px;
    }
    #actions > .descriptions-containers > .description-container > h1 {
        font-size: 32px;
    }
}